USE [TEKNIKSERVIS]
GO

/****** Object:  StoredProcedure [dbo].[SP_DURUMHAREKET]    Script Date: 11/02/2015 13:40:28 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROC [dbo].[SP_DURUMHAREKET]
(
@FISNO varchar(10),
@BELGENO varchar(20),
@FISTARIHI datetime,
@SERINO VARCHAR(50),
@MUSTERIID int,
@ISLEMDURUMID int,
@GONCARIUNVAN varchar(100),
@TEKNISYENID int,
@TEKNISYENNOTU VARCHAR(MAX)
)AS
begin
insert into DURUMHAREKET(FISNO, BELGENO, FISTARIHI,SERINO,MUSTERIID, ISLEMDURUMID, TEKNISYENID, TEKNISYENNOTU, GONCARIUNVAN) values(@FISNO, @BELGENO, @FISTARIHI, @SERINO, @MUSTERIID, @ISLEMDURUMID, @TEKNISYENID, @TEKNISYENNOTU, @GONCARIUNVAN)
END
GO

/****** Object:  StoredProcedure [dbo].[SP_GIDENSERVISFISI]    Script Date: 11/02/2015 13:40:28 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROC [dbo].[SP_GIDENSERVISFISI]
@BELGENO varchar(50),
@IRSALIYENO VARCHAR(50),
@FISNO varchar(50),
@FISTARIHI datetime,
@MUSTERIID int,
@MUSTERISIKAYET varchar(max),
@TEKNISYENID int,
@TEKNISYENNOTU varchar(max),
@CIHAZBILGINOTU varchar(max),
@GARANTI bit,
@GONDERMETARIHI datetime,
@ISLEMDURUMID int,
@KARGO varchar(50),
@KARGONO varchar(50),
@GONDERICICARIID int,
@GONSERINO varchar(50),
@GELENSERINO varchar(50),
@GELISTARIHI datetime
as
begin
	insert into GIDENSERFISLERI(BELGENO,IRSALIYENO, FISNO, FISTARIHI, MUSTERIID, MUSTERISIKAYET, TEKNISYENID, TEKNISYENNOTU, CIHAZBILGINOTU, GARANTI, GONDERMETARIHI,ISLEMDURUMID, KARGO, KARGONO, GONDERICICARIID, GONSERINO, GELENSERINO, GELISTARIHI) VALUES(@BELGENO,@IRSALIYENO, @FISNO, @FISTARIHI, @MUSTERIID, @MUSTERISIKAYET, @TEKNISYENID, @TEKNISYENNOTU, @CIHAZBILGINOTU, @GARANTI, @GONDERMETARIHI,@ISLEMDURUMID, @KARGO, @KARGONO, @GONDERICICARIID, @GONSERINO, @GELENSERINO, @GELISTARIHI)
end
GO

/****** Object:  StoredProcedure [dbo].[SP_YSERVISFISI]    Script Date: 11/02/2015 13:40:28 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROC [dbo].[SP_YSERVISFISI]
(
@FISNO VARCHAR(10),
@BELGENO VARCHAR(20),
@FISTARIHI datetime,
@MUSTERIID int,
@MUSTERISIKAYET varchar(max),
@MUSTERINOTU varchar(max),
@ISLEMDURUMID int,
@TEKNISYENID int,
@TEKNISYENNOTU varchar(max),
@SERVISID int,
@CIHAZTURU varchar(100),
@MARKA varchar(50),
@MODEL varchar(50),
@SERINO varchar(50),
@BARKOD varchar(50),
@FATURATARIHI datetime,
@CIHAZBILGINOTU varchar(max),
@MALZEME decimal(18,0),
@UCRET decimal(18,0),
@TESLIMTARIHI datetime,
@GARANTIID int
)AS
begin
insert into SERVISFISI(FISNO,BELGENO, FISTARIHI, MUSTERIID, MUSTERISIKAYET,MUSTERINOTU, ISLEMDURUMID, TEKNISYENID, TEKNISYENNOTU, SERVISID, CIHAZTURU, MARKA, MODEL, SERINO, BARKOD, FATURATARIHI, CIHAZBILGINOTU, MALZEME, UCRET, TESLIMTARIHI, GARANTIID) values(@FISNO,@BELGENO, @FISTARIHI, @MUSTERIID, @MUSTERISIKAYET,@MUSTERINOTU, @ISLEMDURUMID, @TEKNISYENID, @TEKNISYENNOTU, @SERVISID, @CIHAZTURU, @MARKA, @MODEL, @SERINO, @BARKOD, @FATURATARIHI, @CIHAZBILGINOTU, @MALZEME, @UCRET, @TESLIMTARIHI, @GARANTIID)
end
GO


